import request from '@/utils/request'

// 查询商品规格值列表
export function listSpecValue(query) {
  return request({
    url: '/bst/specValue/list',
    method: 'get',
    params: query
  })
}

// 查询商品规格值详细
export function getSpecValue(id) {
  return request({
    url: '/bst/specValue/' + id,
    method: 'get'
  })
}

// 新增商品规格值
export function addSpecValue(data) {
  return request({
    url: '/bst/specValue',
    method: 'post',
    data: data
  })
}

// 修改商品规格值
export function updateSpecValue(data) {
  return request({
    url: '/bst/specValue',
    method: 'put',
    data: data
  })
}

// 删除商品规格值
export function delSpecValue(id) {
  return request({
    url: '/bst/specValue/' + id,
    method: 'delete'
  })
}
